ALSA project - the C library reference

Data Fields
snd_tplg_widget_template Struct Reference
Topology Interface

Template type for DAPM widget objects. More...

`#include <topology.h>`

## Data Fields
int | id
const char * | name
const char * | sname
int | reg
int | shift
int | mask
int | subseq
unsigned int | invert
unsigned int | ignore_suspend
unsigned short | event_flags
unsigned short | event_type
struct snd_soc_tplg_private * | priv
int | num_ctls
struct snd_tplg_ctl_template * | ctl [0]

## Detailed Description

Template type for DAPM widget objects.

The documentation for this struct was generated from the following file:

- /u7/kx/RcL/system/branches/radix-1.9-402/media/alsa-lib/1.2.8/.i586-glibc/ebox-3350dx2/alsa-lib-1.2.8/include/topology.h